Page MenuHomePhabricator

decommission es1015.eqiad.wmnet
Closed, ResolvedPublicRequest

Description

This task will track the decommission-hardware of server es1015.eqiad.wmnet

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

es1015

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below.
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo
  • - remove ALL dns entries except the asset tag mgmt entries.
  • - Run homer to disable its switch port
  • - reassign task from service owner to DC ops team member depending on site of servee.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks removed (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configuration removed from switch once system is unracked.
  • - IF DECOM: mgmt dns entries removed.
  • - IF RECLAIM: set netbox state to 'inventory' and hostname to asset tag

Event Timeline

Marostegui moved this task from Triage to In progress on the DBA board.Nov 26 2020, 9:39 AM

Change 643811 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] es1015: Disable notifications

https://gerrit.wikimedia.org/r/643811

Mentioned in SAL (#wikimedia-operations) [2020-11-27T06:19:29Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool es1015 for decommissioning T268810', diff saved to https://phabricator.wikimedia.org/P13453 and previous config saved to /var/cache/conftool/dbconfig/20201127-061929-marostegui.json

Change 643811 merged by Marostegui:
[operations/puppet@production] es1015: Disable notifications

https://gerrit.wikimedia.org/r/643811

Marostegui updated the task description. (Show Details)Nov 27 2020, 6:22 AM

Change 643813 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] es1015: Remove from dbctl

https://gerrit.wikimedia.org/r/643813

Change 643813 merged by Marostegui:
[operations/puppet@production] es1015: Remove from dbctl

https://gerrit.wikimedia.org/r/643813

Mentioned in SAL (#wikimedia-operations) [2020-11-27T06:39:10Z] <marostegui> Stop mysql on es1015 T268810

Marostegui updated the task description. (Show Details)Nov 27 2020, 6:39 AM
Marostegui updated the task description. (Show Details)Nov 27 2020, 1:30 PM

Change 644083 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission es1015

https://gerrit.wikimedia.org/r/644083

Change 644083 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission es1015

https://gerrit.wikimedia.org/r/644083

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: es1015.eqiad.wmnet

  • es1015.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
  • COMMON_STEPS (FAIL)
    • Failed to run the sre.dns.netbox cookbook: Cumin execution failed (exit_code=2)

ERROR: some step on some host failed, check the bolded items above

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: es1015.eqiad.wmnet

  • es1015.eqiad.wmnet (FAIL)
    • Failed downtime host on Icinga (likely already removed)
    • Found physical host
    • Skipped downtime management interface on Icinga (likely already removed)
    • Unable to connect to the host, wipe of bootloaders will not be performed: Cumin execution failed (exit_code=2)
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
  • COMMON_STEPS (FAIL)
    • Failed to run the sre.dns.netbox cookbook: Cumin execution failed (exit_code=2)

ERROR: some step on some host failed, check the bolded items above

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: es1015.eqiad.wmnet

  • es1015.eqiad.wmnet (FAIL)
    • Failed downtime host on Icinga (likely already removed)
    • Host steps raised exception: Invalid management FQDN es1015.mgmt.eqiad.wmnet for es1015.eqiad.wmnet

ERROR: some step on some host failed, check the bolded items above

Marostegui updated the task description. (Show Details)
Marostegui updated the task description. (Show Details)

Ready for DC-Ops

Restricted Application added a project: SRE. · View Herald TranscriptNov 30 2020, 7:50 AM
wiki_willy added a subscriber: wiki_willy.
wiki_willy moved this task from Backlog to Decommission on the ops-eqiad board.Nov 30 2020, 10:51 PM
Cmjohnson closed this task as Resolved.Dec 10 2020, 5:28 PM

removed from rack, updated netbox and ran script